local StoneGateV6 = ...

-- Apply building asset processor
StoneGateV6:registerAssetProcessor("models/hoardings/hoardingSmallGate.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
StoneGateV6:registerAssetProcessor("models/hoardings/hoardingCircularTower.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

function registerHoardingPart(_nameSize, _nameFbx, _nameAsset)
    StoneGateV6:registerAssetId("models/hoardings/" .. _nameSize .. ".fbx/Prefab/hoarding/step_5_" .. _nameFbx .. "Part", StoneGateSetPrefix .. "_" .. _nameAsset .. "_PREFAB")

-- Register the stone gate set decoration rampart part
    StoneGateV6:register({
	DataType = "BUILDING_PART",
	Id = StoneGateSetPrefix .. "_" .. _nameAsset .. "_PART",
	Name = StoneGateSetPrefix .. "_" .. _nameAsset .. "_NAME",
	Description = StoneGateSetPrefix .. "_" .. _nameAsset .. "_DESC",
	Category = "EXTENSION",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = StoneGateSetPrefix .. "_" .. _nameAsset .. "_PREFAB"
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "PLANK", Quantity = 2 }
		}
	}
    })

    StoneGateV6:registerPrefabComponent("models/hoardings/" .. _nameSize .. ".fbx/Prefab/hoarding/step_5_" .. _nameFbx .. "Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
    })
end

registerHoardingPart( "hoardingCircularTower", "Circular_Hoarding", "CIRCULAR_HOARDING" )
