local StoneGateV6 = ...

    _OverHangingBuildingZone = { ZoneEntryList = {
            { Polygon = polygon.createRectangle( {8, 8} ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }}
    _Angle45BuildingZone = { ZoneEntryList = {
            { Polygon = polygon.createCircle( 1.5, { 1, 0 }, 6 ), -- to be refactored
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }}
    _CircularBuildingZone = { ZoneEntryList = {
            { Polygon = polygon.createCircle( 3.3, { 0, 0 }, 16 ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }}
    _SmallCircularBuildingZone = { ZoneEntryList = {
            { Polygon = polygon.createCircle( 1.5, { 0, 0 }, 24 ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }}
    _AlignedSmallGateBuildingZone = { ZoneEntryList = {
            { Polygon = polygon.createRectangle( { 4, 2 }, { 0, -3 } ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } },
            { Polygon = polygon.createRectangle( { 4, 2 }, { 0, 3 } ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }}
    _AlignedSmallGateExtensionBuildingZone = { ZoneEntryList = {
            { Polygon = polygon.createRectangle( { 4, 8 }, { 0, 0 } ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }}
    StoneGateV6:registerEnumValue ("BUILDING_PART_TYPE", "EXTENSION")

-- Register all stone gate set building parts and their properties
StoneGateV6:dofile("scripts/basicSmallGate.lua")
StoneGateV6:dofile("scripts/hoarding.lua")
StoneGateV6:dofile("scripts/machicolation.lua")
StoneGateV6:dofile("scripts/basicCircularTower.lua")
StoneGateV6:dofile("scripts/basicAngle45.lua")
StoneGateV6:dofile("scripts/basicSmallCircularTower.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueKeep.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueMain.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueSmallSquaredTower.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueOctogonalTower.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueMachicolation.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueSmallGate.lua")
StoneGateV6:dofile("scripts/blueRoofs/blueCircularTower.lua")
StoneGateV6:dofile("scripts/pointedRoof.lua")
StoneGateV6:dofile("scripts/woodenFloor.lua")
StoneGateV6:dofile("scripts/baseOverHanging.lua")
StoneGateV6:dofile("scripts/woodenRoof.lua")

-- Register the stone gate set monument
StoneGateV6:override({
    Id = "STONE_GATE_V5_MONUMENT",
    BuildingPartSetList = {
                Action = "APPEND",
		{
			Name = "STONE_GATE_V5_DECORATION_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V5_DECORATION_W_BALCONY_PART",
		            "STONE_GATE_V5_DECORATION_W_LUCARNE_PART",
		            "STONE_GATE_V5_DECORATION_W_LARGE_LUCARNE_PART",
		            "STONE_GATE_V5_DECORATION_W_TURRET_PART"
                        }
                },                  
 		{
			Name = StoneGateSetPrefix .. "_SGATE_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_SGATE_ROOT_PART",
		            StoneGateSetPrefix .. "_SGATE_EXT_ROOT_PART",
		            StoneGateSetPrefix .. "_SGATE_HALF_ROOF_PART",
		            StoneGateSetPrefix .. "_SGATE_ROOTP_PART",
		            StoneGateSetPrefix .. "_SGATE_EXT_ROOTP_PART",
		            StoneGateSetPrefix .. "_SGATE_HALF_ROOFP_PART",
		            StoneGateSetPrefix .. "_SGATE_RAMPART_A_PART",
		            StoneGateSetPrefix .. "_SGATE_RAMPART_CLOSING_L_PART",
		            StoneGateSetPrefix .. "_SGATE_RAMPART_CLOSING_R_PART",
		            "STONE_GATE_V5_SGATE_HOARDING_A_PART",
		            "STONE_GATE_V5_SGATE_MACHICOLATION_A_PART",
		            "STONE_GATE_V5_SGATE_MACHICOLATION_B_PART",
		            "STONE_GATE_V5_SGATE_MACHICOLATION_CLOSING_L_PART",
		            "STONE_GATE_V5_SGATE_MACHICOLATION_CLOSING_R_PART",
		            "STONE_GATE_V5_SGATE_MACHICOLATION_WOODEN_ROOF_A_PART",
		            "STONE_GATE_V5_SGATE_MACHICOLATION_STONE_ROOF_A_PART"
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_CIRCULAR_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_CIRCULAR_ROOT_PART",  -- with stone floor
		            StoneGateSetPrefix .. "_CIRCULAR_ROOTB_PART", -- with wooden floor
		            StoneGateSetPrefix .. "_CIRCULAR_ROOF_PART",
-- deprecated		            StoneGateSetPrefix .. "_CIRCULAR_ROOFB_PART", 
		            StoneGateSetPrefix .. "_CIRCULAR_RAMPART_PART", -- all sides
		            StoneGateSetPrefix .. "_CIRCULAR_RAMPART_B_PART", -- one side
		            StoneGateSetPrefix .. "_CIRCULAR_MACHICOLATION_A_PART",
		            StoneGateSetPrefix .. "_CIRCULAR_MACHICOLATION_B_PART",
		            StoneGateSetPrefix .. "_CIRCULAR_MACHICOLATION_PLATFORM_PART",
		            StoneGateSetPrefix .. "_CIRCULAR_HOARDING_PART"
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_A45_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_A45_ROOT_PART",  -- with stone floor
		            StoneGateSetPrefix .. "_A45_ROOTP_PART", -- with wooden floor
		            StoneGateSetPrefix .. "_A45_ROOF_PART",
		            StoneGateSetPrefix .. "_A45_RAMPART_A_PART"--[[,
		            StoneGateSetPrefix .. "_A45_MACHICOLATION_A_PART",
		            StoneGateSetPrefix .. "_A45_MACHICOLATION_B_PART",
		            StoneGateSetPrefix .. "_A45_HOARDING_PART"]]
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_SCT_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_SCT_ROOT_PART",  -- with stone floor
		            StoneGateSetPrefix .. "_SCT_ROOTP_PART", -- with wooden floor
		            StoneGateSetPrefix .. "_SCT_ROOF_PART", -- standard roof
-- deprecated		            StoneGateSetPrefix .. "_SCT_ROOFB_PART", -- sharped roof
		            StoneGateSetPrefix .. "_SCT_RAMPART_A_PART", -- full circle
		            StoneGateSetPrefix .. "_SCT_RAMPART_B_PART" -- half circle
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_POINTED_ROOFS_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_SST_POINTED_ROOF_B_PART",
		            StoneGateSetPrefix .. "_SST_POINTED_ROOF_C_PART",
		            StoneGateSetPrefix .. "_SST_POINTED_ROOF_MA_PART",
		            StoneGateSetPrefix .. "_SST_POINTED_ROOF_MB_PART",

		            StoneGateSetPrefix .. "_OTOWER_POINTED_ROOF_B_PART",

		            StoneGateSetPrefix .. "_MAIN_POINTED_ROOF_A_PART",
		            StoneGateSetPrefix .. "_MAIN_POINTED_ROOF_B_PART",
		            StoneGateSetPrefix .. "_MAIN_POINTED_ROOF_E_PART",

		            StoneGateSetPrefix .. "_KEEP_POINTED_ROOF_A_PART",
		            StoneGateSetPrefix .. "_KEEP_POINTED_ROOF_B_PART",
		            StoneGateSetPrefix .. "_KEEP_POINTED_ROOF_D_PART",
		            StoneGateSetPrefix .. "_KEEP_POINTED_ROOF_E_PART",
		            StoneGateSetPrefix .. "_KEEP_POINTED_ROOF_F_PART",
		            StoneGateSetPrefix .. "_KEEP_POINTED_ROOF_G_PART",

		            StoneGateSetPrefix .. "_CIRCULAR_POINTED_ROOF_B_PART",

		            StoneGateSetPrefix .. "_SCT_POINTED_ROOF_B_PART",

		            StoneGateSetPrefix .. "_DECORATION_POINTED_PINION_C_PART", -- pointed pinion
		            StoneGateSetPrefix .. "_DECORATION_POINTED_PINION_D_PART", -- pointed pinion
		            StoneGateSetPrefix .. "_DECORATION_POINTED_PINION_E_PART", -- small pointed pinion
		            StoneGateSetPrefix .. "_DECORATION_POINTED_PINION_F_PART", -- small pointed pinion
		            StoneGateSetPrefix .. "_DECORATION_POINTED_PINION_G_PART", -- pointed stone pinion
		            StoneGateSetPrefix .. "_DECORATION_POINTED_PINION_H_PART", -- small pointed stone pinion
		            StoneGateSetPrefix .. "_DECORATION_POINTED_PINION_I_PART", -- pointed full wodden pinion
		            StoneGateSetPrefix .. "_DECORATION_POINTED_PINION_J_PART"  -- small pointed full wooden pinion
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_WOODEN_FLOORS_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_WFMAIN_A_PART",
		            StoneGateSetPrefix .. "_WFMAIN_B_PART",
		            StoneGateSetPrefix .. "_WFMAIN_C_PART",
		            StoneGateSetPrefix .. "_WFMAIN_D_PART",
		            StoneGateSetPrefix .. "_WFKEEP_A_PART",
		            StoneGateSetPrefix .. "_WFKEEP_B_PART",
		            StoneGateSetPrefix .. "_WFKEEP_C_PART",
		            StoneGateSetPrefix .. "_WFKEEP_D_PART",
		            StoneGateSetPrefix .. "_WFSST_A_PART",
		            StoneGateSetPrefix .. "_WFSST_B_PART",
		            StoneGateSetPrefix .. "_WFSST_C_PART",
		            StoneGateSetPrefix .. "_WFSST_H_PART",
		            StoneGateSetPrefix .. "_WFSST_D_PART",
		            StoneGateSetPrefix .. "_WFSST_E_PART",
		            StoneGateSetPrefix .. "_WFSST_F_PART",
		            StoneGateSetPrefix .. "_WFSST_G_PART",
		            StoneGateSetPrefix .. "_WFA45_A_PART",
		            StoneGateSetPrefix .. "_WFA45_B_PART",
		            StoneGateSetPrefix .. "_WFA45_C_PART",
		            StoneGateSetPrefix .. "_WFA45_D_PART",
		            StoneGateSetPrefix .. "_WFOCTOGONAL_A_PART",
		            StoneGateSetPrefix .. "_WFOCTOGONAL_B_PART",
		            StoneGateSetPrefix .. "_WFOCTOGONAL_C_PART",
		            StoneGateSetPrefix .. "_WFOCTOGONAL_D_PART",
		            StoneGateSetPrefix .. "_WFCIRCULAR_A_PART",
		            StoneGateSetPrefix .. "_WFCIRCULAR_B_PART",
		            StoneGateSetPrefix .. "_WFCIRCULAR_C_PART",
		            StoneGateSetPrefix .. "_WFCIRCULAR_D_PART",
		            StoneGateSetPrefix .. "_WFSCT_A_PART",
		            StoneGateSetPrefix .. "_WFSCT_B_PART",
		            StoneGateSetPrefix .. "_WFSCT_C_PART",
		            StoneGateSetPrefix .. "_WFSCT_D_PART",
		            StoneGateSetPrefix .. "_KEEPH_ROOTP_PART",
		            StoneGateSetPrefix .. "_KEEPI_ROOTP_PART",
		            StoneGateSetPrefix .. "_KEEPJ_ROOTP_PART",
		            StoneGateSetPrefix .. "_KEEPK_ROOTP_PART",
		            StoneGateSetPrefix .. "_KEEPL_ROOTP_PART"
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_WOODEN_DECORATION_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V5_DECORATION_WOODEN_WINDOW_1_PART",
		            "STONE_GATE_V5_DECORATION_WOODEN_WINDOW_3_PART",
		            "STONE_GATE_V5_DECORATION_WOODEN_WINDOW_9_PART",
		            "STONE_GATE_V5_DECORATION_W_WOODEN_WINDOW_9_PART",
		            "STONE_GATE_V5_DECORATION_WOODEN_WINDOW_7_PART",
		            "STONE_GATE_V5_DECORATION_WOODEN_WINDOW_8_PART",
		            "STONE_GATE_V5_DECORATION_WOODEN_ROUND_WINDOW_PART"
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_WOODEN_ROOF_MAIN_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_MAIN_WROOF_A_PART",
		            StoneGateSetPrefix .. "_MAIN_WROOF_B_PART",
		            StoneGateSetPrefix .. "_MAIN_WROOF_D_PART"
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_WOODEN_ROOF_KEEP_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_KEEP_WROOF_A_PART",
		            StoneGateSetPrefix .. "_KEEP_WROOF_B_PART",
		            StoneGateSetPrefix .. "_KEEP_WROOF_C_PART",
		            StoneGateSetPrefix .. "_KEEP_WROOF_D_PART",
		            StoneGateSetPrefix .. "_KEEP_WROOF_E_PART",
		            StoneGateSetPrefix .. "_KEEP_WROOF_F_PART"
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_WOODEN_ROOF_SST_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_SST_WROOF_A_PART",
		            StoneGateSetPrefix .. "_SST_WROOF_B_PART",
		            StoneGateSetPrefix .. "_SST_WROOF_D_PART",
		            StoneGateSetPrefix .. "_SST_WROOF_E_PART",
		            StoneGateSetPrefix .. "_SST_WROOF_F_PART",
		            StoneGateSetPrefix .. "_SST_WROOF_G_PART"--,
--		            StoneGateSetPrefix .. "_SST_POINTED_WROOF_B_PART",
--		            StoneGateSetPrefix .. "_SST_POINTED_WROOF_C_PART",
--		            StoneGateSetPrefix .. "_SST_POINTED_WROOF_MA_PART",
--		            StoneGateSetPrefix .. "_SST_POINTED_WROOF_MB_PART"
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_WOODEN_ROOF_SGATE_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_W_SGATE_ROOT_PART",
		            StoneGateSetPrefix .. "_W_SGATE_EXT_ROOT_PART",
		            StoneGateSetPrefix .. "_W_SGATE_ROOT_P_PART",
		            StoneGateSetPrefix .. "_W_SGATE_EXT_ROOT_P_PART"
                        }
                },
		{
			Name = StoneGateSetPrefix .. "_WOODEN_ROOF_OTOWER_PARTSETLIST_NAME",
	                BuildingPartList = {
		            StoneGateSetPrefix .. "_OTOWER_WROOF_PART"
                        }
                }
    },
    -- the MaterialSetList is replaced in order to change the names of the themes
    MaterialSetList = {
            {
                SetName = StoneGateSetPrefix .. "_RED_ROOF", -- default materials
                MaterialList = {
                    "STONE_GATE_V5_DECORATION_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_MAIN_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_KEEP_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_SST_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_SGATE_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_OTOWER_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_MAIN_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_KEEP_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_SST_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_SGATE_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_OTOWER_RED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_RED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_RED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SCT_RED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_MACHICOLATION_RED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SST_RED_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_OTOWER_RED_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_MAIN_RED_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_KEEP_RED_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_RED_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SCT_RED_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_A45_RED_ROOF_MATERIAL",
                    "STONE_GATE_V5_DECORATION_RED_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_MAIN_RED_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_KEEP_RED_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SST_RED_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_RED_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_OTOWER_RED_WROOF_MATERIAL"--,
--                    StoneGateSetPrefix .. "_SST_POINTED_RED_WROOF_MATERIAL"
                }
            },
            {
                SetName = StoneGateSetPrefix .. "_BLUE_ROOF",
                MaterialList = {
                    "STONE_GATE_V5_DECORATION_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_MAIN_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_KEEP_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_SST_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_SGATE_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_OTOWER_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_MAIN_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_KEEP_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_SST_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_SGATE_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_OTOWER_BLUE_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_BLUE_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_BLUE_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SCT_BLUE_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_MACHICOLATION_BLUE_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SST_BLUE_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_OTOWER_BLUE_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_MAIN_BLUE_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_KEEP_BLUE_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_BLUE_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SCT_BLUE_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_A45_BLUE_ROOF_MATERIAL",
                    "STONE_GATE_V5_DECORATION_BLUE_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_MAIN_BLUE_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_KEEP_BLUE_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SST_BLUE_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_BLUE_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_OTOWER_BLUE_WROOF_MATERIAL"--,
--                    StoneGateSetPrefix .. "_SST_POINTED_BLUE_WROOF_MATERIAL"
                }
            },
            {
                SetName = StoneGateSetPrefix .. "_BROWN_ROOF",
                MaterialList = {
                    "STONE_GATE_V5_DECORATION_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_MAIN_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_KEEP_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_SST_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_SGATE_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_OTOWER_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_MAIN_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_KEEP_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_SST_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_SGATE_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_OTOWER_BROWN_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_BROWN_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_BROWN_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SCT_BROWN_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_MACHICOLATION_BROWN_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SST_BROWN_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_OTOWER_BROWN_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_MAIN_BROWN_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_KEEP_BROWN_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_BROWN_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SCT_BROWN_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_A45_BROWN_ROOF_MATERIAL",
                    "STONE_GATE_V5_DECORATION_BROWN_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_MAIN_BROWN_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_KEEP_BROWN_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SST_BROWN_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_BROWN_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_OTOWER_BROWN_WROOF_MATERIAL"--,
--                    StoneGateSetPrefix .. "_SST_POINTED_BROWN_WROOF_MATERIAL"
                }
            },
            {
                SetName = StoneGateSetPrefix .. "_GREY_ROOF",
                MaterialList = {
                    "STONE_GATE_V5_DECORATION_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_MAIN_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_KEEP_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_SST_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_SGATE_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_OTOWER_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_MAIN_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_KEEP_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_SST_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_SGATE_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_OTOWER_GREY_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_GREY_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_GREY_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SCT_GREY_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_MACHICOLATION_GREY_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SST_GREY_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_OTOWER_GREY_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_MAIN_GREY_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_KEEP_GREY_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_GREY_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SCT_GREY_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_A45_GREY_ROOF_MATERIAL",
                    "STONE_GATE_V5_DECORATION_YELLOW_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_MAIN_YELLOW_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_KEEP_YELLOW_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SST_YELLOW_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_YELLOW_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_OTOWER_YELLOW_WROOF_MATERIAL"--,
--                    StoneGateSetPrefix .. "_SST_POINTED_YELLOW_WROOF_MATERIAL"
                }
            },
            {
                SetName = StoneGateSetPrefix .. "_GREY2_ROOF",
                MaterialList = {
                    "STONE_GATE_V5_DECORATION_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_MAIN_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_KEEP_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_SST_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_SGATE_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_OTOWER_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_MAIN_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_KEEP_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_SST_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_SGATE_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_MACHICOLATION_OTOWER_GREY2_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_GREY2_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_GREY2_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SCT_GREY2_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_MACHICOLATION_GREY2_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SST_GREY2_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_OTOWER_GREY2_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_MAIN_GREY2_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_KEEP_GREY2_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_CIRCULAR_GREY2_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SCT_GREY2_POINTED_ROOF_MATERIAL",
                    StoneGateSetPrefix .. "_A45_GREY2_ROOF_MATERIAL",
                    "STONE_GATE_V5_DECORATION_GREEN_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_MAIN_GREEN_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_KEEP_GREEN_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SST_GREEN_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_SGATE_GREEN_WROOF_MATERIAL",
                    StoneGateSetPrefix .. "_OTOWER_GREEN_WROOF_MATERIAL"--,
--                    StoneGateSetPrefix .. "_SST_POINTED_GREEN_WROOF_MATERIAL"
                }
            }
    }
})
